@import url('./variables.css');

.ckm-contact-wrapper {
  display: flex;
  justify-content: center;
  width: 100%;
  padding: 32px;
  display: flex;
  flex-direction: column;
  align-items: center;  
}

.ckm-contact {
  max-width: 1280px;
  width: 100%;
  display: flex;
  flex-direction: column;
  gap: 80px;
}

.contact-intro-title {
  font-weight: 400;
}

.contact-intro-title strong {
  font-weight: 800;
}

.contact-intro-text {
  max-width: 640px;
  width: fit-content;
}

.ckm-contact-form-container {
  display: flex;
  flex-direction: column;
  gap: 64px;
}

.contact-info {
  display: flex;
  flex-direction: column;
  gap: 24px;
  width: 100%;
}

.contact-info-item {
  display: flex;
  align-items: center;
  gap: 8px;
  font-size: 18px;
}

.contact-form {
  display: flex;
  flex-direction: column;
  gap: 24px;
  width: 100%;
}

.contact-form-field {
  display: flex;
  flex-direction: column;
  width: 100%;
  gap: 8px;
}

.contact-form-field.checkbox {
  flex-direction: row;
}

.email-phone-container {
  display: flex;
  flex-direction: column;
  gap: 24px;
}

.ckm-contact-message {  
  font-weight: 700;
}

.ckm-contact-message .success {
  color: #059669;
  font-size: var(--font-size-lg);
}

.ckm-contact-message .error {
  color: #DC2626;
}

.page-contacto .error {
  color: #DC2626;
}

textarea {
  min-height: 100px;
}

label {
  font-weight: 700;
  font-size: var(--font-size-lg);
  font-family: var(--font-family-secondary);
}

label[for="accept_privacy_terms"] {
  font-weight: 600;
  font-size: var(--font-size-md);
}


@media (min-width: 1000px) { 
  .ckm-contact-wrapper {
    padding: 80px;
  }
	
.ckm-contact-form-container {
  flex-direction: row;
	gap: 0px;
}
	
	.email-phone-container {
		flex-direction: row;
	}